### Hierarchy

- ModalHeader

## Index

### Inputs

- closeLabel
- showCloseButton
- theme

### Outputs

- closeSelect

### Constructors

- constructor

### Properties

- closeLabel
- closeSelect
- experimental
- i18n
- showCloseButton
- theme

### Methods

- onClose

## Constructors

### constructor

- new ModalHeader(i18n: I18n, experimental: ExperimentalService): ModalHeader

- - Defined in src/modal/modal-header.component.ts:56

  #### Parameters

  - ##### i18n: I18n

  - ##### experimental: ExperimentalService

  #### Returns ModalHeader

## Properties

### closeLabel

@Input()
closeLabel: any = this.i18n.get().MODAL.CLOSE

- Defined in src/modal/modal-header.component.ts:47

### closeSelect

@Output()
closeSelect: EventEmitter<Object> = new EventEmitter()

- Defined in src/modal/modal-header.component.ts:56

### Protected experimental

experimental: ExperimentalService

- Defined in src/modal/modal-header.component.ts:58

### Protected i18n

i18n: I18n

- Defined in src/modal/modal-header.component.ts:58

### showCloseButton

@Input()
showCloseButton: boolean = true

- Defined in src/modal/modal-header.component.ts:51

### theme

@Input()
theme: string = "default"

- Defined in src/modal/modal-header.component.ts:42

## Methods

### onClose

- onClose(): void

- - Defined in src/modal/modal-header.component.ts:63

  #### Returns void

Generated using TypeDoc